ruleIdstringrequired
Updates an existing automation workflow rule.
Updates an existing automation workflow rule.
put
https://{your-bynder-domain}/api/1/automation-workflow/rules/{ruleId}
Path Parameters
Body
application/json
Body
application/json
EditAutomationWorkflowRuleBody
namestring
stepsarray[object]
Show Child Parameters
triggersarray[string]
Response
application/json
Response
application/json
SingleRuleAutomationWorkflowResponse
created_by_idstringrequired
date_createdstringrequired
date_modifiedstringrequired
date_removedstring
edited_by_idstring
idstringrequired
is_validbooleanrequired
namestringrequired
statusstringrequired
stepsarray[object]
Show Child Parameters
triggersarray[string]
put/rules/{ruleId}
Authentication
Path Parameters
Body
{}
application/json
Updates the status of an existing automation workflow rule.
Updates the status of an existing automation workflow rule. The status must be one of the following: PUBLISHED or PAUSED.
patch
https://{your-bynder-domain}/api/1/automation-workflow/rules/{ruleId}/status
Path Parameters
ruleIdstringrequired
Body
application/json
Body
application/json
UpdateStatusAutomationWorkflowRuleBody
statusstringrequired
Response
Response
patch/rules/{ruleId}/status
Authentication
Path Parameters
Body
{
"status": "status"
}
Fetches a list of available automation workflow triggers.
Fetches a list of available automation workflow triggers.
Note: The RelativeDate trigger must be used with the Archived condition.
get
https://{your-bynder-domain}/api/1/automation-workflow/triggers
Response
application/json
Response
application/json
AutomationWorkflowTriggersResponse
triggersarray[object]
Show Child Parameters
get/triggers
Authentication
application/json
AndCondition
objectandarray[object]
Show Child Parameters
Example
ArchiveTerm
objectoffset_amountinteger(int32)required
offset_unitstringrequired
Example